package com.fs.qw.dto;

import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class ModifyDTO {
    //联系人id
    private Long userId;
    //设备id
    private String deviceId;
    //备注
    private String remark;
    //企业备注
    private String corpRemark;
    //备注手机号
    List<String> phoneList;
    //描述
    private String desc;


    public Map<String,Object> toMap(){
        Map<String,Object> map = new HashMap<>();
        map.put("userId",userId);
        map.put("remark",remark);
        map.put("corpRemark",corpRemark);
        map.put("phoneList",phoneList);
        map.put("desc",desc);
        return map;
    }
}
